//Style Sheet Switcher
function getCookie(name) {
	var v = document.cookie.match('(^|;) ?' + name + '=([^;]*)(;|$)');
	return v ? v[2] : null;
}

function setCookie(name, value, days) {
	var d = new Date();
	d.setTime(d.getTime() + 24 * 60 * 60 * 1000 * days);
	document.cookie = name + '=' + value + ';path=/;expires=' + d.toGMTString();
}

function deleteCookie(name) {
	setCookie(name, '', -1);
}

function setStylesheet(title) {
	var i,
		cacheobj;
	for (i = 0; cacheobj = document.getElementsByTagName('link')[i]; i++) {
		if (cacheobj.getAttribute('rel').indexOf('style') != -1 && cacheobj.getAttribute('title')) {
			cacheobj.disabled = true;
			if (cacheobj.getAttribute('title') == title)
				cacheobj.disabled = false; //permettre de choisir la feuille de style
		}
	}
}

function chooseStyle(styletitle, days) {
	if (document.getElementById) {
		setStylesheet(styletitle);
		setCookie('styleswitch_sc', styletitle, days);
	}
}

var selectedtitle = getCookie('styleswitch_sc');
if (document.getElementById && selectedtitle !== null) {
	//chargement de la feuille de style choisie si celle-ci existe
	setStylesheet(selectedtitle);
}